summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Bob Funk2022-08-12 11:01:35 +0200
committer Willy Sudiarto Raharjo2022-08-13 05:40:37 +0200
commitc99a9518cab09d6bab3cecd4b0ca4c4b10640126 (patch)
tree3b6eee7d1a4253d48d0f8b65ad15883cf6400e71
parent8ef8fcd24513b38b05d78d1a7a745ca6d061aa28 (diff)
downloadslackbuilds-c99a9518cab09d6bab3cecd4b0ca4c4b10640126.tar.gz
system/blocaled: Added (localed D-Bus service)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/blocaled/README8
-rw-r--r--system/blocaled/blocaled.SlackBuild113
-rw-r--r--system/blocaled/blocaled.info10
-rw-r--r--system/blocaled/slack-desc19
4 files changed, 150 insertions, 0 deletions
diff --git a/system/blocaled/README b/system/blocaled/README
new file mode 100644
index 0000000000..47cc18d427
--- /dev/null
+++ b/system/blocaled/README
@@ -0,0 +1,8 @@
+Blocaled provides a stand-alone implementation of the localed D-Bus
+service. This is useful for things like gnome applications that utilize
+the localed service.
+
+blocaled is maintained by BLFS editor Pierre Labastie, for the specific
+needs of the BLFS project, but may be used on any system implementing
+the libgio library.
+
diff --git a/system/blocaled/blocaled.SlackBuild b/system/blocaled/blocaled.SlackBuild
new file mode 100644
index 0000000000..a9944cedf5
--- /dev/null
+++ b/system/blocaled/blocaled.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/bash
+
+# Slackware build script for blocaled
+
+# Copyright 2022 Bob Funk Winnipeg, Canada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=blocaled
+VERSION=${VERSION:-0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux \
+ --with-localeconfig=/var/lib/blocaled/gnome-locale.conf \
+ --with-keyboardconfig=/var/lib/blocaled/gnome-locale.conf \
+ --with-xkbdconfig=/etc/X11/xorg.conf.d/91-keyboard-layout-libinput.conf
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/blocaled/blocaled.info b/system/blocaled/blocaled.info
new file mode 100644
index 0000000000..db7a79f8e0
--- /dev/null
+++ b/system/blocaled/blocaled.info
@@ -0,0 +1,10 @@
+PRGNAM="blocaled"
+VERSION="0.4"
+HOMEPAGE="https://github.com/lfs-book/blocaled"
+DOWNLOAD="https://github.com/lfs-book/blocaled/releases/download/v0.4/blocaled-0.4.tar.xz"
+MD5SUM="07796cf62fc1e2b743ee6f805183146d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libdaemon"
+MAINTAINER="Bob Funk"
+EMAIL="bobfunk11@gmail.com"
diff --git a/system/blocaled/slack-desc b/system/blocaled/slack-desc
new file mode 100644
index 0000000000..48682f2c7b
--- /dev/null
+++ b/system/blocaled/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+blocaled: blocaled (localed D-Bus service)
+blocaled:
+blocaled: The blocaled daemon implements the standard localed (i.e.
+blocaled: org.freedesktop.locale1) D-Bus interface as a stand-alone daemon.
+blocaled:
+blocaled:
+blocaled:
+blocaled:
+blocaled:
+blocaled: https://github.com/lfs-book/blocaled
+blocaled: